KDE 4.2 PyKDE API Reference

- KDE's Python API

# PluginManager Class Reference

`from PyKDE4.soprano import *`

Inherits: QObject
Namespace: Soprano

## Detailed Description

## Methods

| __init__ (self, QObject parent=0)
[const Backen] | allBackends (self)
[const Soprano::Backen] | allBackends (self)
[const Parse] | allParsers (self)
[const Soprano::Parse] | allParsers (self)
[const Serialize] | allSerializers (self)
[const Soprano::Serialize] | allSerializers (self)
Soprano.Backend | discoverBackendByFeatures (self, Soprano.BackendFeatures features, QStringList userFeatures=QStringList())
Soprano.Backend | discoverBackendByName (self, QString name)
Soprano.Parser | discoverParserByName (self, QString name)
Soprano.Parser | discoverParserForSerialization (self, Soprano.RdfSerialization serialization, QString userSerialization=QString())
Soprano.Serializer | discoverSerializerByName (self, QString name)
Soprano.Serializer | discoverSerializerForSerialization (self, Soprano.RdfSerialization serialization, QString userSerialization=QString())

## Static Methods

Soprano.PluginManager | instance ()

## Method Documentation

__init__ | ( | self, |
|  | QObject | parent=0
| ) |  |  |

[const Backen] allBackends | ( |  | self ) |

[const Soprano::Backen] allBackends | ( |  | self ) |

[const Parse] allParsers | ( |  | self ) |

[const Soprano::Parse] allParsers | ( |  | self ) |

[const Serialize] allSerializers | ( |  | self ) |

[const Soprano::Serialize] allSerializers | ( |  | self ) |

Soprano.Backend discoverBackendByFeatures | ( | self, |
|  | Soprano.BackendFeatures | features,
|  | QStringList | userFeatures=QStringList()
| ) |  |  |

Find a backend plugin by its features.

Parameters:

  | features | The features that are requested, a combination of Soprano.BackendFeature flags.

Parameters:

  | userFeatures | If features contain Backend.BackendFeatureUser this paramter states the additionally requested user features.

Returns:
  a Backend that supports the features defined in features.

Soprano.Backend discoverBackendByName | ( | self, |
|  | QString | name
| ) |  |  |

Find a backend plugin by its name.

Returns:
  the backend specified by name or null if could not be found.

Soprano.Parser discoverParserByName | ( | self, |
|  | QString | name
| ) |  |  |

Find a parser plugin by its name.

Returns:
  the parser specified by name or null if could not be found.

Soprano.Parser discoverParserForSerialization | ( | self, |
|  | Soprano.RdfSerialization | serialization,
|  | QString | userSerialization=QString()
| ) |  |  |

Find a Parser instance that is able to parse RDF data serialized as serialization.

Parameters:

  | serialization | The requested serialization.

Parameters:

  | userSerialization | If serialization is set to Soprano.SerializationUser this parameter specifies the serialization to use. It allows the extension of the %Soprano Parser interface with new RDF serializations that are not officially supported by %Soprano.

Returns:
  A Parser plugin that can parse RDF data encoded in the requested serialization or 0 if no such plugin could be found.

Soprano.Serializer discoverSerializerByName | ( | self, |
|  | QString | name
| ) |  |  |

Find a serializer plugin by its name.

Returns:
  the serializer specified by name or null if could not be found.

Soprano.Serializer discoverSerializerForSerialization | ( | self, |
|  | Soprano.RdfSerialization | serialization,
|  | QString | userSerialization=QString()
| ) |  |  |

Find a Serializer instance that is able to encode RDF data using serialization.

Parameters:

  | serialization | The requested serialization.

Parameters:

  | userSerialization | If serialization is set to Soprano.SerializationUser this parameter specifies the serialization to use. It allows the extension of the %Soprano Serializer interface with new RDF serializations that are not officially supported by %Soprano.

Returns:
  A Serializer plugin that can serialize RDF data encoded in the requested serialization or 0 if no such plugin could be found.

Soprano.PluginManager instance | ( |  | ) |

Get the singleton instance of the PluginManager